[sip-comm-dev] Eclipse and CVS


#1

Hi all,

I'm facing some problems with the installation of sip-communicator under
eclipse using CVS, I've followed exactly the instructions "
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew"
but I had to change the name of the specified module name
"sip-communicator-1-0-draft" to "sip-communicator" because the first one
wasn't found!! So I download the package with CVS and that's ok but when I
click right on the project name, launch the run program and select the main
class and had an error "The archive:
/sip-communicator/lib/installer-exclude/cindy.jar wich is referenced by the
classpath, does not exist." I tried to add it from another sip-communicator
package (that I have downloded from source) then I got the same error
message but about the retroweaver-rt which was missing....

I'm willing to use the sip-communicator to build a softphone using only sip
and I have to remove the gui and the msn, jabber parts. My softphone will
work only under linux so I have also to remove the support for mac os and
windows. But to do all that I have to work with an ide (in my case eclipse)
to make it more easier.

Hope you'll help me.

Thanks a lot.


#2

Hi,

I was confronted to the same problem last week. The solution was quite simple :
- Delete the Sip-Communicator project from eclipse and all references to it from your workspace.
- Re-follow the instructions of the "http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew" except that you must replace as you have done the "sip-communicator-1-0-draft" module name by "sip-communicator" (the point is that when the loading of the "sip-communicator-1-0-draft" module fails, it causes the libraries errors you have. Then be sure to never enter "sip-communicator-1-0-draft" for the module name).
I hope this will work for you too (please give me some feedback on the success / failure of this solution).

Regards,
Vincent Lucas

asmouta wrote:

···

Hi all,

I'm facing some problems with the installation of sip-communicator under
eclipse using CVS, I've followed exactly the instructions "
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew"

but I had to change the name of the specified module name
"sip-communicator-1-0-draft" to "sip-communicator" because the first one
wasn't found!! So I download the package with CVS and that's ok but when I
click right on the project name, launch the run program and select the main
class and had an error "The archive:
/sip-communicator/lib/installer-exclude/cindy.jar wich is referenced by the
classpath, does not exist." I tried to add it from another sip-communicator
package (that I have downloded from source) then I got the same error
message but about the retroweaver-rt which was missing....

I'm willing to use the sip-communicator to build a softphone using only sip
and I have to remove the gui and the msn, jabber parts. My softphone will
work only under linux so I have also to remove the support for mac os and
windows. But to do all that I have to work with an ide (in my case eclipse)
to make it more easier.

Hope you'll help me.

Thanks a lot.


#3

Hi,

sorry for the inconvenience! I've just updated the Eclipse tutorial on the site and committed the ide/eclipse/.classpath file, which contains all libraries used in SIP Communicator. You should only add to it the path to your ant.jar.

Regards,
Yana

Vincent Lucas wrote:

···

Hi,

I was confronted to the same problem last week. The solution was quite simple :
- Delete the Sip-Communicator project from eclipse and all references to it from your workspace.
- Re-follow the instructions of the "http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew" except that you must replace as you have done the "sip-communicator-1-0-draft" module name by "sip-communicator" (the point is that when the loading of the "sip-communicator-1-0-draft" module fails, it causes the libraries errors you have. Then be sure to never enter "sip-communicator-1-0-draft" for the module name).
I hope this will work for you too (please give me some feedback on the success / failure of this solution).

Regards,
Vincent Lucas

asmouta wrote:

Hi all,

I'm facing some problems with the installation of sip-communicator under
eclipse using CVS, I've followed exactly the instructions "
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew"

but I had to change the name of the specified module name
"sip-communicator-1-0-draft" to "sip-communicator" because the first one
wasn't found!! So I download the package with CVS and that's ok but when I
click right on the project name, launch the run program and select the main
class and had an error "The archive:
/sip-communicator/lib/installer-exclude/cindy.jar wich is referenced by the
classpath, does not exist." I tried to add it from another sip-communicator
package (that I have downloded from source) then I got the same error
message but about the retroweaver-rt which was missing....

I'm willing to use the sip-communicator to build a softphone using only sip
and I have to remove the gui and the msn, jabber parts. My softphone will
work only under linux so I have also to remove the support for mac os and
windows. But to do all that I have to work with an ide (in my case eclipse)
to make it more easier.

Hope you'll help me.

Thanks a lot.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#4

Thanks for the reply, I got no more the previous errors but I got a new one
:

"Project sip-communicator is missing required library : '
sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
The project cannot be built until build path errors are resolved"

Sorry to annoy you with that but I didn't found help about thant on the
internet.

Thanks a lot.

···

On 4/20/07, Yana Stamcheva <yana@sip-communicator.org> wrote:

Hi,

sorry for the inconvenience! I've just updated the Eclipse tutorial on
the site and committed the ide/eclipse/.classpath file, which contains
all libraries used in SIP Communicator. You should only add to it the
path to your ant.jar.

Regards,
Yana

Vincent Lucas wrote:
> Hi,
>
> I was confronted to the same problem last week. The solution was quite
> simple :
> - Delete the Sip-Communicator project from eclipse and all references
> to it from your workspace.
> - Re-follow the instructions of the
> "
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
"
> except that you must replace as you have done the
> "sip-communicator-1-0-draft" module name by "sip-communicator" (the
> point is that when the loading of the "sip-communicator-1-0-draft"
> module fails, it causes the libraries errors you have. Then be sure to
> never enter "sip-communicator-1-0-draft" for the module name).
> I hope this will work for you too (please give me some feedback on the
> success / failure of this solution).
>
> Regards,
> Vincent Lucas
>
> asmouta wrote:
>> Hi all,
>>
>> I'm facing some problems with the installation of sip-communicator
under
>> eclipse using CVS, I've followed exactly the instructions "
>>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
"
>>
>> but I had to change the name of the specified module name
>> "sip-communicator-1-0-draft" to "sip-communicator" because the first
one
>> wasn't found!! So I download the package with CVS and that's ok but
>> when I
>> click right on the project name, launch the run program and select
>> the main
>> class and had an error "The archive:
>> /sip-communicator/lib/installer-exclude/cindy.jar wich is referenced
>> by the
>> classpath, does not exist." I tried to add it from another
>> sip-communicator
>> package (that I have downloded from source) then I got the same error
>> message but about the retroweaver-rt which was missing....
>>
>> I'm willing to use the sip-communicator to build a softphone using
>> only sip
>> and I have to remove the gui and the msn, jabber parts. My softphone
>> will
>> work only under linux so I have also to remove the support for mac os
>> and
>> windows. But to do all that I have to work with an ide (in my case
>> eclipse)
>> to make it more easier.
>>
>> Hope you'll help me.
>>
>> Thanks a lot.
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
> For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#5

Hi asmouta,

actually this jar is created after you build and run the project using ant, so you should do that and after that add the jar to your .classpath. I'll add this to the tutorial.

Yana

asmouta wrote:

···

Thanks for the reply, I got no more the previous errors but I got a new one :

"Project sip-communicator is missing required library : 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar' The project cannot be built until build path errors are resolved"

Sorry to annoy you with that but I didn't found help about thant on the internet.

Thanks a lot.

On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > <mailto:yana@sip-communicator.org>> wrote:

    Hi,

    sorry for the inconvenience! I've just updated the Eclipse tutorial on
    the site and committed the ide/eclipse/.classpath file, which contains
    all libraries used in SIP Communicator. You should only add to it the
    path to your ant.jar.

    Regards,
    Yana

    Vincent Lucas wrote:
    > Hi,
    >
    > I was confronted to the same problem last week. The solution was
    quite
    > simple :
    > - Delete the Sip-Communicator project from eclipse and all
    references
    > to it from your workspace.
    > - Re-follow the instructions of the
    >
    "http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
    <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew>"
    > except that you must replace as you have done the
    > "sip-communicator-1-0-draft" module name by "sip-communicator" (the
    > point is that when the loading of the "sip-communicator-1-0-draft"
    > module fails, it causes the libraries errors you have. Then be
    sure to
    > never enter "sip-communicator-1-0-draft" for the module name).
    > I hope this will work for you too (please give me some feedback
    on the
    > success / failure of this solution).
    >
    > Regards,
    > Vincent Lucas
    >
    > asmouta wrote:
    >> Hi all,
    >>
    >> I'm facing some problems with the installation of
    sip-communicator under
    >> eclipse using CVS, I've followed exactly the instructions "
    >>
    http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
    <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew>"
    >>
    >> but I had to change the name of the specified module name
    >> "sip-communicator-1-0-draft" to "sip-communicator" because the
    first one
    >> wasn't found!! So I download the package with CVS and that's ok
    but
    >> when I
    >> click right on the project name, launch the run program and select
    >> the main
    >> class and had an error "The archive:
    >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
    referenced
    >> by the
    >> classpath, does not exist." I tried to add it from another
    >> sip-communicator
    >> package (that I have downloded from source) then I got the same
    error
    >> message but about the retroweaver-rt which was missing....
    >>
    >> I'm willing to use the sip-communicator to build a softphone using
    >> only sip
    >> and I have to remove the gui and the msn, jabber parts. My
    softphone
    >> will
    >> work only under linux so I have also to remove the support for
    mac os
    >> and
    >> windows. But to do all that I have to work with an ide (in my case
    >> eclipse)
    >> to make it more easier.
    >>
    >> Hope you'll help me.
    >>
    >> Thanks a lot.
    >>
    >
    ---------------------------------------------------------------------
    > To unsubscribe, e-mail:
    dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
    > For additional commands, e-mail:
    dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>

    ---------------------------------------------------------------------
    To unsubscribe, e-mail:
    dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
    For additional commands, e-mail:
    dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#6

Hi Yana,

I build the project using the command line "ant rebuild run" and I noticed
two things :
- there's no kxml2-2.2.2.jar
- when I create an account with sip-communicator, I can see, in the
background, that a registration process is launched with success but no
graphic interface is launched.

To try to resolve the first problem, I copied one kxml2-2.2.2.jar file from
another sip-communicator source and add it to .classpath, then I tried to
build the project with eclipse but I always get the same problem:
"Project sip-communicator is missing required library :
'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
The project cannot be built until build path errors are resolved"

Hope that you'll help me, I need to make it works, it's for my end study
project and I have to start coding.

Thanks a lot.

···

On 4/21/07, Yana Stamcheva <yana@sip-communicator.org> wrote:

Hi asmouta,

actually this jar is created after you build and run the project using
ant, so you should do that and after that add the jar to your
.classpath. I'll add this to the tutorial.

Yana

asmouta wrote:
> Thanks for the reply, I got no more the previous errors but I got a
> new one :
>
> "Project sip-communicator is missing required library :
> 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
> The project cannot be built until build path errors are resolved"
>
> Sorry to annoy you with that but I didn't found help about thant on
> the internet.
>
> Thanks a lot.
>
> On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > > <mailto:yana@sip-communicator.org>> wrote:
>
> Hi,
>
> sorry for the inconvenience! I've just updated the Eclipse tutorial
on
> the site and committed the ide/eclipse/.classpath file, which
contains
> all libraries used in SIP Communicator. You should only add to it
the
> path to your ant.jar.
>
> Regards,
> Yana
>
> Vincent Lucas wrote:
> > Hi,
> >
> > I was confronted to the same problem last week. The solution was
> quite
> > simple :
> > - Delete the Sip-Communicator project from eclipse and all
> references
> > to it from your workspace.
> > - Re-follow the instructions of the
> >
> "
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>"
> > except that you must replace as you have done the
> > "sip-communicator-1-0-draft" module name by "sip-communicator"
(the
> > point is that when the loading of the "sip-communicator-1-0-draft"
> > module fails, it causes the libraries errors you have. Then be
> sure to
> > never enter "sip-communicator-1-0-draft" for the module name).
> > I hope this will work for you too (please give me some feedback
> on the
> > success / failure of this solution).
> >
> > Regards,
> > Vincent Lucas
> >
> > asmouta wrote:
> >> Hi all,
> >>
> >> I'm facing some problems with the installation of
> sip-communicator under
> >> eclipse using CVS, I've followed exactly the instructions "
> >>
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>"
> >>
> >> but I had to change the name of the specified module name
> >> "sip-communicator-1-0-draft" to "sip-communicator" because the
> first one
> >> wasn't found!! So I download the package with CVS and that's ok
> but
> >> when I
> >> click right on the project name, launch the run program and
select
> >> the main
> >> class and had an error "The archive:
> >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
> referenced
> >> by the
> >> classpath, does not exist." I tried to add it from another
> >> sip-communicator
> >> package (that I have downloded from source) then I got the same
> error
> >> message but about the retroweaver-rt which was missing....
> >>
> >> I'm willing to use the sip-communicator to build a softphone
using
> >> only sip
> >> and I have to remove the gui and the msn, jabber parts. My
> softphone
> >> will
> >> work only under linux so I have also to remove the support for
> mac os
> >> and
> >> windows. But to do all that I have to work with an ide (in my
case
> >> eclipse)
> >> to make it more easier.
> >>
> >> Hope you'll help me.
> >>
> >> Thanks a lot.
> >>
> >
>
---------------------------------------------------------------------
> > To unsubscribe, e-mail:
> dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > For additional commands, e-mail:
> dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
>
---------------------------------------------------------------------
> To unsubscribe, e-mail:
> dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> For additional commands, e-mail:
> dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#7

Hi asmouta,

asmouta wrote:

Hi Yana,

I build the project using the command line "ant rebuild run" and I noticed two things :
- there's no kxml2-2.2.2.jar

To reproduce your problem I've done the following thing. I've created a project in eclipse and check outed the sip-communicator project from cvs. Then I've closed eclipse, I've copied the .project and .classpath file from the ide/eclipse dir to the main project dir and then launched again eclipse. When eclipse starts you need to refresh the project (right button click on the project and then "Refresh"). Then I go in the project properties window and in the Java build path libraries I add the path to my ant.jar. And that's it. The kxml2-2.2.2.jar in fact should be already in the .classpath file that you copied from ide/eclipse dir. So for that works. Are you sure you've done all these steps? The project "Refresh" is very important, because otherwise what you copied out of eclipse doesn't appear in eclipse resources even you restart it.

- when I create an account with sip-communicator, I can see, in the background, that a registration process is launched with success but no graphic interface is launched.

Do you have an exception? Could you please tell me what OS and java version you're using?

To try to resolve the first problem, I copied one kxml2-2.2.2.jar file from another sip-communicator source and add it to .classpath, then I tried to build the project with eclipse but I always get the same problem:
"Project sip-communicator is missing required library :
'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
The project cannot be built until build path errors are resolved"

Hope that you'll help me, I need to make it works, it's for my end study project and I have to start coding.

Thanks a lot.

Regards,
Yana

···

On 4/21/07, *Yana Stamcheva* <yana@sip-communicator.org > <mailto:yana@sip-communicator.org>> wrote:

    Hi asmouta,

    actually this jar is created after you build and run the project using
    ant, so you should do that and after that add the jar to your
    .classpath. I'll add this to the tutorial.

    Yana

    asmouta wrote:
    > Thanks for the reply, I got no more the previous errors but I got a
    > new one :
    >
    > "Project sip-communicator is missing required library :
    > 'sip-communicator.bin /bundle1/version0.0/embedded/kxml2-2.2.2.jar'
    > The project cannot be built until build path errors are resolved"
    >
    > Sorry to annoy you with that but I didn't found help about thant on
    > the internet.
    >
    > Thanks a lot.
    >
    > On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > <mailto:yana@sip-communicator.org> > > <mailto:yana@sip-communicator.org > <mailto:yana@sip-communicator.org>>> wrote:
    >
    > Hi,
    >
    > sorry for the inconvenience! I've just updated the Eclipse
    tutorial on
    > the site and committed the ide/eclipse/.classpath file,
    which contains
    > all libraries used in SIP Communicator. You should only add
    to it the
    > path to your ant.jar.
    >
    > Regards,
    > Yana
    >
    > Vincent Lucas wrote:
    > > Hi,
    > >
    > > I was confronted to the same problem last week. The
    solution was
    > quite
    > > simple :
    > > - Delete the Sip-Communicator project from eclipse and all
    > references
    > > to it from your workspace.
    > > - Re-follow the instructions of the
    > >
    > "
    http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
    > <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
    <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew>>"
    > > except that you must replace as you have done the
    > > "sip-communicator-1-0-draft" module name by
    "sip-communicator" (the
    > > point is that when the loading of the
    "sip-communicator-1-0-draft"
    > > module fails, it causes the libraries errors you have. Then be
    > sure to
    > > never enter "sip-communicator-1-0-draft" for the module name).
    > > I hope this will work for you too (please give me some
    feedback
    > on the
    > > success / failure of this solution).
    > >
    > > Regards,
    > > Vincent Lucas
    > >
    > > asmouta wrote:
    > >> Hi all,
    > >>
    > >> I'm facing some problems with the installation of
    > sip-communicator under
    > >> eclipse using CVS, I've followed exactly the instructions "
    > >>
    > http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
    > <
    http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew>"
    > >>
    > >> but I had to change the name of the specified module name
    > >> "sip-communicator-1-0-draft" to "sip-communicator"
    because the
    > first one
    > >> wasn't found!! So I download the package with CVS and
    that's ok
    > but
    > >> when I
    > >> click right on the project name, launch the run program
    and select
    > >> the main
    > >> class and had an error "The archive:
    > >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
    > referenced
    > >> by the
    > >> classpath, does not exist." I tried to add it from another
    > >> sip-communicator
    > >> package (that I have downloded from source) then I got
    the same
    > error
    > >> message but about the retroweaver-rt which was missing....
    > >>
    > >> I'm willing to use the sip-communicator to build a
    softphone using
    > >> only sip
    > >> and I have to remove the gui and the msn, jabber parts. My
    > softphone
    > >> will
    > >> work only under linux so I have also to remove the
    support for
    > mac os
    > >> and
    > >> windows. But to do all that I have to work with an ide
    (in my case
    > >> eclipse)
    > >> to make it more easier.
    > >>
    > >> Hope you'll help me.
    > >>
    > >> Thanks a lot.
    > >>
    > >
    > ---------------------------------------------------------------------
    > > To unsubscribe, e-mail:
    > dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
    > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
    > > For additional commands, e-mail:
    > dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>
    > <mailto: dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>>
    >
    > ---------------------------------------------------------------------
    > To unsubscribe, e-mail:
    > dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
    > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
    > For additional commands, e-mail:
    > dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>
    > <mailto:dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>>
    >

    ---------------------------------------------------------------------
    To unsubscribe, e-mail:
    dev-unsubscribe@sip-communicator.dev.java.net
    <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
    For additional commands, e-mail:
    dev-help@sip-communicator.dev.java.net
    <mailto:dev-help@sip-communicator.dev.java.net>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#8

Hi Yana,

In fact, I didn't the refresh (to be honest I'm new with eclipse). I'm
working under Mandriva 2006, kernel 2.6.12-12mdksmp and with j2sdk1.4.2_14.
The last messages I'm getting when I make "ant rebuild run" are the
following :

[java] Call-ID: 7e19f57066bde6855d3a7b58db868411@0.0.0.0
     [java] CSeq: 2 REGISTER
     [java] From: "1560" <sip:1560@192.168.27.33>;tag=e2811577
     [java] Max-Forwards: 70
     [java] User-Agent: SIP Communicator 1.0CVS-Mon_Apr_23_10-55-06_CEST_2007
     [java] Expires: 3600
     [java] Contact: "1560" <sip:1560@192.168.27.104
:5060;transport=udp>;expires=3600
     [java] Via: SIP/2.0/UDP 192.168.27.104:5060
;branch=z9hG4bK1cf7786b9e79c52fd58fc4ae19d235bc
     [java] Authorization: Digest uri="sip:192.168.27.33
;transport=udp",realm="asterisk",username="1560",nonce="3c0949f2",response="73069c9cb0727f9754d3983d6d41e5de"
     [java] Content-Length: 0
     [java]
     [java] 10:55:13.302 FIN:
impl.protocol.sip.ProtocolProviderServiceSipImpl.processTransactionTerminated().1050
Found one processor for method REGISTER, processor
is=SipRegistrarConnection-[dn=1560 addr="1560" <sip:1560@192.168.27.33>]

It stops just there and no graphic interface is showing. When I work with
the sip-communicator source (release1), I'm able to register, connect and
make a call.

Hope this will help.

Best regards.

···

[java] To: "1560" <sip:1560@192.168.27.33>
On 4/23/07, Yana Stamcheva <yana@sip-communicator.org> wrote:

Hi asmouta,

asmouta wrote:
> Hi Yana,
>
> I build the project using the command line "ant rebuild run" and I
> noticed two things :
> - there's no kxml2-2.2.2.jar
To reproduce your problem I've done the following thing. I've created a
project in eclipse and check outed the sip-communicator project from
cvs. Then I've closed eclipse, I've copied the .project and .classpath
file from the ide/eclipse dir to the main project dir and then launched
again eclipse. When eclipse starts you need to refresh the project
(right button click on the project and then "Refresh"). Then I go in the
project properties window and in the Java build path libraries I add the
path to my ant.jar. And that's it. The kxml2-2.2.2.jar in fact should be
already in the .classpath file that you copied from ide/eclipse dir. So
for that works. Are you sure you've done all these steps? The project
"Refresh" is very important, because otherwise what you copied out of
eclipse doesn't appear in eclipse resources even you restart it.
> - when I create an account with sip-communicator, I can see, in the
> background, that a registration process is launched with success but
> no graphic interface is launched.
>
Do you have an exception? Could you please tell me what OS and java
version you're using?
> To try to resolve the first problem, I copied one kxml2-2.2.2.jar file
> from another sip-communicator source and add it to .classpath, then I
> tried to build the project with eclipse but I always get the same
> problem:
> "Project sip-communicator is missing required library :
> 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
> The project cannot be built until build path errors are resolved"
>
> Hope that you'll help me, I need to make it works, it's for my end
> study project and I have to start coding.
>
> Thanks a lot.
>
Regards,
Yana

>
> On 4/21/07, *Yana Stamcheva* <yana@sip-communicator.org > > <mailto:yana@sip-communicator.org>> wrote:
>
> Hi asmouta,
>
> actually this jar is created after you build and run the project
using
> ant, so you should do that and after that add the jar to your
> .classpath. I'll add this to the tutorial.
>
> Yana
>
> asmouta wrote:
> > Thanks for the reply, I got no more the previous errors but I got
a
> > new one :
> >
> > "Project sip-communicator is missing required library :
> > 'sip-communicator.bin /bundle1/version0.0/embedded/kxml2-2.2.2.jar
'
> > The project cannot be built until build path errors are resolved"
> >
> > Sorry to annoy you with that but I didn't found help about thant
on
> > the internet.
> >
> > Thanks a lot.
> >
> > On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > > <mailto:yana@sip-communicator.org> > > > <mailto:yana@sip-communicator.org > > <mailto:yana@sip-communicator.org>>> wrote:
> >
> > Hi,
> >
> > sorry for the inconvenience! I've just updated the Eclipse
> tutorial on
> > the site and committed the ide/eclipse/.classpath file,
> which contains
> > all libraries used in SIP Communicator. You should only add
> to it the
> > path to your ant.jar.
> >
> > Regards,
> > Yana
> >
> > Vincent Lucas wrote:
> > > Hi,
> > >
> > > I was confronted to the same problem last week. The
> solution was
> > quite
> > > simple :
> > > - Delete the Sip-Communicator project from eclipse and all
> > references
> > > to it from your workspace.
> > > - Re-follow the instructions of the
> > >
> > "
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> >
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>>"
> > > except that you must replace as you have done the
> > > "sip-communicator-1-0-draft" module name by
> "sip-communicator" (the
> > > point is that when the loading of the
> "sip-communicator-1-0-draft"
> > > module fails, it causes the libraries errors you have. Then
be
> > sure to
> > > never enter "sip-communicator-1-0-draft" for the module
name).
> > > I hope this will work for you too (please give me some
> feedback
> > on the
> > > success / failure of this solution).
> > >
> > > Regards,
> > > Vincent Lucas
> > >
> > > asmouta wrote:
> > >> Hi all,
> > >>
> > >> I'm facing some problems with the installation of
> > sip-communicator under
> > >> eclipse using CVS, I've followed exactly the instructions "
> > >>
> >
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > <
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>"
> > >>
> > >> but I had to change the name of the specified module name
> > >> "sip-communicator-1-0-draft" to "sip-communicator"
> because the
> > first one
> > >> wasn't found!! So I download the package with CVS and
> that's ok
> > but
> > >> when I
> > >> click right on the project name, launch the run program
> and select
> > >> the main
> > >> class and had an error "The archive:
> > >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
> > referenced
> > >> by the
> > >> classpath, does not exist." I tried to add it from another
> > >> sip-communicator
> > >> package (that I have downloded from source) then I got
> the same
> > error
> > >> message but about the retroweaver-rt which was missing....
> > >>
> > >> I'm willing to use the sip-communicator to build a
> softphone using
> > >> only sip
> > >> and I have to remove the gui and the msn, jabber parts. My
> > softphone
> > >> will
> > >> work only under linux so I have also to remove the
> support for
> > mac os
> > >> and
> > >> windows. But to do all that I have to work with an ide
> (in my case
> > >> eclipse)
> > >> to make it more easier.
> > >>
> > >> Hope you'll help me.
> > >>
> > >> Thanks a lot.
> > >>
> > >
> >
>
---------------------------------------------------------------------
> > > To unsubscribe, e-mail:
> > dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
> > > For additional commands, e-mail:
> > dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
> > <mailto: dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>>
> >
>
---------------------------------------------------------------------
> > To unsubscribe, e-mail:
> > dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
> > For additional commands, e-mail:
> > dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
> > <mailto:dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>>
> >
>
---------------------------------------------------------------------
> To unsubscribe, e-mail:
> dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> For additional commands, e-mail:
> dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#9

Hi Yana,

:slight_smile: as you can expect I have no good news.. I repeat all the steps and thanks
to you I have no more the previous error messages... But there are new ones!
I attached the messages I got within this mail, please take a look at them.

Thanks a lot for your help.

error_output (736 Bytes)

···

On 4/23/07, Yana Stamcheva <yana@sip-communicator.org> wrote:

Hi asmouta,

asmouta wrote:
> Hi Yana,
>
> I build the project using the command line "ant rebuild run" and I
> noticed two things :
> - there's no kxml2-2.2.2.jar
To reproduce your problem I've done the following thing. I've created a
project in eclipse and check outed the sip-communicator project from
cvs. Then I've closed eclipse, I've copied the .project and .classpath
file from the ide/eclipse dir to the main project dir and then launched
again eclipse. When eclipse starts you need to refresh the project
(right button click on the project and then "Refresh"). Then I go in the
project properties window and in the Java build path libraries I add the
path to my ant.jar. And that's it. The kxml2-2.2.2.jar in fact should be
already in the .classpath file that you copied from ide/eclipse dir. So
for that works. Are you sure you've done all these steps? The project
"Refresh" is very important, because otherwise what you copied out of
eclipse doesn't appear in eclipse resources even you restart it.
> - when I create an account with sip-communicator, I can see, in the
> background, that a registration process is launched with success but
> no graphic interface is launched.
>
Do you have an exception? Could you please tell me what OS and java
version you're using?
> To try to resolve the first problem, I copied one kxml2-2.2.2.jar file
> from another sip-communicator source and add it to .classpath, then I
> tried to build the project with eclipse but I always get the same
> problem:
> "Project sip-communicator is missing required library :
> 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
> The project cannot be built until build path errors are resolved"
>
> Hope that you'll help me, I need to make it works, it's for my end
> study project and I have to start coding.
>
> Thanks a lot.
>
Regards,
Yana

>
> On 4/21/07, *Yana Stamcheva* <yana@sip-communicator.org > > <mailto:yana@sip-communicator.org>> wrote:
>
> Hi asmouta,
>
> actually this jar is created after you build and run the project
using
> ant, so you should do that and after that add the jar to your
> .classpath. I'll add this to the tutorial.
>
> Yana
>
> asmouta wrote:
> > Thanks for the reply, I got no more the previous errors but I got
a
> > new one :
> >
> > "Project sip-communicator is missing required library :
> > 'sip-communicator.bin /bundle1/version0.0/embedded/kxml2-2.2.2.jar
'
> > The project cannot be built until build path errors are resolved"
> >
> > Sorry to annoy you with that but I didn't found help about thant
on
> > the internet.
> >
> > Thanks a lot.
> >
> > On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > > <mailto:yana@sip-communicator.org> > > > <mailto:yana@sip-communicator.org > > <mailto:yana@sip-communicator.org>>> wrote:
> >
> > Hi,
> >
> > sorry for the inconvenience! I've just updated the Eclipse
> tutorial on
> > the site and committed the ide/eclipse/.classpath file,
> which contains
> > all libraries used in SIP Communicator. You should only add
> to it the
> > path to your ant.jar.
> >
> > Regards,
> > Yana
> >
> > Vincent Lucas wrote:
> > > Hi,
> > >
> > > I was confronted to the same problem last week. The
> solution was
> > quite
> > > simple :
> > > - Delete the Sip-Communicator project from eclipse and all
> > references
> > > to it from your workspace.
> > > - Re-follow the instructions of the
> > >
> > "
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> >
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> <
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>>"
> > > except that you must replace as you have done the
> > > "sip-communicator-1-0-draft" module name by
> "sip-communicator" (the
> > > point is that when the loading of the
> "sip-communicator-1-0-draft"
> > > module fails, it causes the libraries errors you have. Then
be
> > sure to
> > > never enter "sip-communicator-1-0-draft" for the module
name).
> > > I hope this will work for you too (please give me some
> feedback
> > on the
> > > success / failure of this solution).
> > >
> > > Regards,
> > > Vincent Lucas
> > >
> > > asmouta wrote:
> > >> Hi all,
> > >>
> > >> I'm facing some problems with the installation of
> > sip-communicator under
> > >> eclipse using CVS, I've followed exactly the instructions "
> > >>
> >
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > <
>
http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>"
> > >>
> > >> but I had to change the name of the specified module name
> > >> "sip-communicator-1-0-draft" to "sip-communicator"
> because the
> > first one
> > >> wasn't found!! So I download the package with CVS and
> that's ok
> > but
> > >> when I
> > >> click right on the project name, launch the run program
> and select
> > >> the main
> > >> class and had an error "The archive:
> > >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
> > referenced
> > >> by the
> > >> classpath, does not exist." I tried to add it from another
> > >> sip-communicator
> > >> package (that I have downloded from source) then I got
> the same
> > error
> > >> message but about the retroweaver-rt which was missing....
> > >>
> > >> I'm willing to use the sip-communicator to build a
> softphone using
> > >> only sip
> > >> and I have to remove the gui and the msn, jabber parts. My
> > softphone
> > >> will
> > >> work only under linux so I have also to remove the
> support for
> > mac os
> > >> and
> > >> windows. But to do all that I have to work with an ide
> (in my case
> > >> eclipse)
> > >> to make it more easier.
> > >>
> > >> Hope you'll help me.
> > >>
> > >> Thanks a lot.
> > >>
> > >
> >
>
---------------------------------------------------------------------
> > > To unsubscribe, e-mail:
> > dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
> > > For additional commands, e-mail:
> > dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
> > <mailto: dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>>
> >
>
---------------------------------------------------------------------
> > To unsubscribe, e-mail:
> > dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
> > For additional commands, e-mail:
> > dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
> > <mailto:dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>>
> >
>
---------------------------------------------------------------------
> To unsubscribe, e-mail:
> dev-unsubscribe@sip-communicator.dev.java.net
> <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> For additional commands, e-mail:
> dev-help@sip-communicator.dev.java.net
> <mailto:dev-help@sip-communicator.dev.java.net>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#10

Hi Yana,

that's ook! I found my big misteak, I forget to put the ant.jar path to the
project lib path. Now it does build correctly (some warnings but that's ok).

I tried to launch the sip-communicator so I choosed to run the project as a
java application and I was given the choice of the main class. I tried with
the class "net.java.sip.communicator.launcher.SIPCommunicator" and also with
the main one "org.apache.felix.main.Main"

but I was gived a prompt :

"Welcome to Felix.

···

=================
Enter profile name:"

I have no idea about the different profiles name?? I tried with run and test
but no way. Thanks to tell me how could I launch the sip-communicator..

Thanks a lot.

On 4/23/07, asmouta <asmouta@gmail.com> wrote:

Hi Yana,

:slight_smile: as you can expect I have no good news.. I repeat all the steps and
thanks to you I have no more the previous error messages... But there are
new ones! I attached the messages I got within this mail, please take a look
at them.

Thanks a lot for your help.

On 4/23/07, Yana Stamcheva <yana@sip-communicator.org> wrote:
>
> Hi asmouta,
>
> asmouta wrote:
> > Hi Yana,
> >
> > I build the project using the command line "ant rebuild run" and I
> > noticed two things :
> > - there's no kxml2-2.2.2.jar
> To reproduce your problem I've done the following thing. I've created a
> project in eclipse and check outed the sip-communicator project from
> cvs. Then I've closed eclipse, I've copied the .project and .classpath
> file from the ide/eclipse dir to the main project dir and then launched
> again eclipse. When eclipse starts you need to refresh the project
> (right button click on the project and then "Refresh"). Then I go in the
> project properties window and in the Java build path libraries I add the
>
> path to my ant.jar. And that's it. The kxml2-2.2.2.jar in fact should be
> already in the .classpath file that you copied from ide/eclipse dir. So
> for that works. Are you sure you've done all these steps? The project
> "Refresh" is very important, because otherwise what you copied out of
> eclipse doesn't appear in eclipse resources even you restart it.
> > - when I create an account with sip-communicator, I can see, in the
> > background, that a registration process is launched with success but
> > no graphic interface is launched.
> >
> Do you have an exception? Could you please tell me what OS and java
> version you're using?
> > To try to resolve the first problem, I copied one kxml2-2.2.2.jar file
> > from another sip-communicator source and add it to .classpath, then I
> > tried to build the project with eclipse but I always get the same
> > problem:
> > "Project sip-communicator is missing required library :
> > 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
> > The project cannot be built until build path errors are resolved"
> >
> > Hope that you'll help me, I need to make it works, it's for my end
> > study project and I have to start coding.
> >
> > Thanks a lot.
> >
> Regards,
> Yana
>
> >
> > On 4/21/07, *Yana Stamcheva* < yana@sip-communicator.org > > > <mailto:yana@sip-communicator.org>> wrote:
> >
> > Hi asmouta,
> >
> > actually this jar is created after you build and run the project
> using
> > ant, so you should do that and after that add the jar to your
> > .classpath. I'll add this to the tutorial.
> >
> > Yana
> >
> > asmouta wrote:
> > > Thanks for the reply, I got no more the previous errors but I
> got a
> > > new one :
> > >
> > > "Project sip-communicator is missing required library :
> > > 'sip-communicator.bin /bundle1/version0.0/embedded/kxml2-
> 2.2.2.jar'
> > > The project cannot be built until build path errors are
> resolved"
> > >
> > > Sorry to annoy you with that but I didn't found help about thant
> on
> > > the internet.
> > >
> > > Thanks a lot.
> > >
> > > On 4/20/07, *Yana Stamcheva* <yana@sip-communicator.org > > > <mailto:yana@sip-communicator.org> > > > > <mailto:yana@sip-communicator.org > > > <mailto: yana@sip-communicator.org>>> wrote:
> > >
> > > Hi,
> > >
> > > sorry for the inconvenience! I've just updated the Eclipse
> > tutorial on
> > > the site and committed the ide/eclipse/.classpath file,
> > which contains
> > > all libraries used in SIP Communicator. You should only add
> > to it the
> > > path to your ant.jar.
> > >
> > > Regards,
> > > Yana
> > >
> > > Vincent Lucas wrote:
> > > > Hi,
> > > >
> > > > I was confronted to the same problem last week. The
> > solution was
> > > quite
> > > > simple :
> > > > - Delete the Sip-Communicator project from eclipse and all
>
> > > references
> > > > to it from your workspace.
> > > > - Re-follow the instructions of the
> > > >
> > > "
> >
> http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > >
> > <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
>
> > <
> http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> >>"
> > > > except that you must replace as you have done the
> > > > "sip-communicator-1-0-draft" module name by
> > "sip-communicator" (the
> > > > point is that when the loading of the
> > "sip-communicator-1-0-draft"
> > > > module fails, it causes the libraries errors you have.
> Then be
> > > sure to
> > > > never enter "sip-communicator-1-0-draft" for the module
> name).
> > > > I hope this will work for you too (please give me some
> > feedback
> > > on the
> > > > success / failure of this solution).
> > > >
> > > > Regards,
> > > > Vincent Lucas
> > > >
> > > > asmouta wrote:
> > > >> Hi all,
> > > >>
> > > >> I'm facing some problems with the installation of
> > > sip-communicator under
> > > >> eclipse using CVS, I've followed exactly the instructions
> "
> > > >>
> > >
> >
> http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > > <
> > http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> >"
> > > >>
> > > >> but I had to change the name of the specified module name
> > > >> "sip-communicator-1-0-draft" to "sip-communicator"
> > because the
> > > first one
> > > >> wasn't found!! So I download the package with CVS and
> > that's ok
> > > but
> > > >> when I
> > > >> click right on the project name, launch the run program
> > and select
> > > >> the main
> > > >> class and had an error "The archive:
> > > >> /sip-communicator/lib/installer-exclude/cindy.jar wich is
> > > referenced
> > > >> by the
> > > >> classpath, does not exist." I tried to add it from
> another
> > > >> sip-communicator
> > > >> package (that I have downloded from source) then I got
> > the same
> > > error
> > > >> message but about the retroweaver-rt which was
> missing....
> > > >>
> > > >> I'm willing to use the sip-communicator to build a
> > softphone using
> > > >> only sip
> > > >> and I have to remove the gui and the msn, jabber parts.
> My
> > > softphone
> > > >> will
> > > >> work only under linux so I have also to remove the
> > support for
> > > mac os
> > > >> and
> > > >> windows. But to do all that I have to work with an ide
> > (in my case
> > > >> eclipse)
> > > >> to make it more easier.
> > > >>
> > > >> Hope you'll help me.
> > > >>
> > > >> Thanks a lot.
> > > >>
> > > >
> > >
> >
> ---------------------------------------------------------------------
> > > > To unsubscribe, e-mail:
> > > dev-unsubscribe@sip-communicator.dev.java.net
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net>>
> > > > For additional commands, e-mail:
> > > dev-help@sip-communicator.dev.java.net
> > <mailto:dev-help@sip-communicator.dev.java.net >
> > > <mailto: dev-help@sip-communicator.dev.java.net
> > <mailto:dev-help@sip-communicator.dev.java.net >>
> > >
> >
> ---------------------------------------------------------------------
> > > To unsubscribe, e-mail:
> > > dev-unsubscribe@sip-communicator.dev.java.net
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net >>
> > > For additional commands, e-mail:
> > > dev-help@sip-communicator.dev.java.net
> > <mailto: dev-help@sip-communicator.dev.java.net>
> > > <mailto:dev-help@sip-communicator.dev.java.net
> > <mailto: dev-help@sip-communicator.dev.java.net>>
> > >
> >
> ---------------------------------------------------------------------
> > To unsubscribe, e-mail:
> > dev-unsubscribe@sip-communicator.dev.java.net
> > <mailto:dev-unsubscribe@sip-communicator.dev.java.net >
> > For additional commands, e-mail:
> > dev-help@sip-communicator.dev.java.net
> > <mailto: dev-help@sip-communicator.dev.java.net>
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
> For additional commands, e-mail: dev-help@sip-communicator.dev.java.net
>


#11

Ok, right now I'm able (thanks to this link
https://sip-communicator.dev.java.net/servlets/ReadMsg?list=dev&msgNo=1081 )
to compile sip-communicator correctly. When I make run application I notice
that the sip-communicator try to register (Register requests are sent) but
no gui is launched... I'm working under Mandriva 2006 and I'm using
j2sdk1.4.2_14. Is the version within CVS stable? Does it work correctly? Coz
when I work with the release-1 it did registration and calls..

Thanks a lot for your patience.

···

On 4/23/07, asmouta <asmouta@gmail.com> wrote:

Hi Yana,

that's ook! I found my big misteak, I forget to put the ant.jar path to
the project lib path. Now it does build correctly (some warnings but that's
ok).

I tried to launch the sip-communicator so I choosed to run the project as
a java application and I was given the choice of the main class. I tried
with the class "net.java.sip.communicator.launcher.SIPCommunicator" and
also with the main one "org.apache.felix.main.Main"

but I was gived a prompt :

"Welcome to Felix.

Enter profile name:"

I have no idea about the different profiles name?? I tried with run and
test but no way. Thanks to tell me how could I launch the sip-communicator..

Thanks a lot.

On 4/23/07, asmouta <asmouta@gmail.com> wrote:
>
> Hi Yana,
>
> :slight_smile: as you can expect I have no good news.. I repeat all the steps and
> thanks to you I have no more the previous error messages... But there are
> new ones! I attached the messages I got within this mail, please take a look
> at them.
>
> Thanks a lot for your help.
>
> On 4/23/07, Yana Stamcheva <yana@sip-communicator.org > wrote:
> >
> > Hi asmouta,
> >
> > asmouta wrote:
> > > Hi Yana,
> > >
> > > I build the project using the command line "ant rebuild run" and I
> > > noticed two things :
> > > - there's no kxml2-2.2.2.jar
> > To reproduce your problem I've done the following thing. I've created
> > a
> > project in eclipse and check outed the sip-communicator project from
> > cvs. Then I've closed eclipse, I've copied the .project and .classpath
> > file from the ide/eclipse dir to the main project dir and then
> > launched
> > again eclipse. When eclipse starts you need to refresh the project
> > (right button click on the project and then "Refresh"). Then I go in
> > the
> > project properties window and in the Java build path libraries I add
> > the
> > path to my ant.jar. And that's it. The kxml2-2.2.2.jar in fact should
> > be
> > already in the .classpath file that you copied from ide/eclipse dir.
> > So
> > for that works. Are you sure you've done all these steps? The project
> >
> > "Refresh" is very important, because otherwise what you copied out of
> > eclipse doesn't appear in eclipse resources even you restart it.
> > > - when I create an account with sip-communicator, I can see, in the
> > > background, that a registration process is launched with success but
> > > no graphic interface is launched.
> > >
> > Do you have an exception? Could you please tell me what OS and java
> > version you're using?
> > > To try to resolve the first problem, I copied one kxml2-2.2.2.jarfile
> > > from another sip-communicator source and add it to .classpath, then
> > I
> > > tried to build the project with eclipse but I always get the same
> > > problem:
> > > "Project sip-communicator is missing required library :
> > > 'sip-communicator.bin/bundle1/version0.0/embedded/kxml2-2.2.2.jar'
> > > The project cannot be built until build path errors are resolved"
> > >
> > > Hope that you'll help me, I need to make it works, it's for my end
> > > study project and I have to start coding.
> > >
> > > Thanks a lot.
> > >
> > Regards,
> > Yana
> >
> > >
> > > On 4/21/07, *Yana Stamcheva* < yana@sip-communicator.org > > > > <mailto: yana@sip-communicator.org>> wrote:
> > >
> > > Hi asmouta,
> > >
> > > actually this jar is created after you build and run the project
> > using
> > > ant, so you should do that and after that add the jar to your
> > > .classpath. I'll add this to the tutorial.
> > >
> > > Yana
> > >
> > > asmouta wrote:
> > > > Thanks for the reply, I got no more the previous errors but I
> > got a
> > > > new one :
> > > >
> > > > "Project sip-communicator is missing required library :
> > > > 'sip-communicator.bin /bundle1/version0.0/embedded/kxml2-
> > 2.2.2.jar'
> > > > The project cannot be built until build path errors are
> > resolved"
> > > >
> > > > Sorry to annoy you with that but I didn't found help about
> > thant on
> > > > the internet.
> > > >
> > > > Thanks a lot.
> > > >
> > > > On 4/20/07, *Yana Stamcheva* < yana@sip-communicator.org > > > > <mailto:yana@sip-communicator.org> > > > > > <mailto: yana@sip-communicator.org > > > > <mailto: yana@sip-communicator.org>>> wrote:
> > > >
> > > > Hi,
> > > >
> > > > sorry for the inconvenience! I've just updated the Eclipse
> >
> > > tutorial on
> > > > the site and committed the ide/eclipse/.classpath file,
> > > which contains
> > > > all libraries used in SIP Communicator. You should only
> > add
> > > to it the
> > > > path to your ant.jar.
> > > >
> > > > Regards,
> > > > Yana
> > > >
> > > > Vincent Lucas wrote:
> > > > > Hi,
> > > > >
> > > > > I was confronted to the same problem last week. The
> > > solution was
> > > > quite
> > > > > simple :
> > > > > - Delete the Sip-Communicator project from eclipse and
> > all
> > > > references
> > > > > to it from your workspace.
> > > > > - Re-follow the instructions of the
> > > > >
> > > > "
> > >
> > http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > > >
> > > <http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > >>"
> > > > > except that you must replace as you have done the
> > > > > "sip-communicator-1-0-draft" module name by
> > > "sip-communicator" (the
> > > > > point is that when the loading of the
> > > "sip-communicator-1-0-draft"
> > > > > module fails, it causes the libraries errors you have.
> > Then be
> > > > sure to
> > > > > never enter "sip-communicator-1-0-draft" for the module
> > name).
> > > > > I hope this will work for you too (please give me some
> > > feedback
> > > > on the
> > > > > success / failure of this solution).
> > > > >
> > > > > Regards,
> > > > > Vincent Lucas
> > > > >
> > > > > asmouta wrote:
> > > > >> Hi all,
> > > > >>
> > > > >> I'm facing some problems with the installation of
> > > > sip-communicator under
> > > > >> eclipse using CVS, I've followed exactly the
> > instructions "
> > > > >>
> > > >
> > >
> > http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > > > <
> > > http://www.sip-communicator.org/index.php/Documentation/ConfigureEclipseNew
> > >"
> > > > >>
> > > > >> but I had to change the name of the specified module
> > name
> > > > >> "sip-communicator-1-0-draft" to "sip-communicator"
> > > because the
> > > > first one
> > > > >> wasn't found!! So I download the package with CVS and
> > > that's ok
> > > > but
> > > > >> when I
> > > > >> click right on the project name, launch the run program
> > > and select
> > > > >> the main
> > > > >> class and had an error "The archive:
> > > > >> /sip-communicator/lib/installer-exclude/cindy.jar wich
> > is
> > > > referenced
> > > > >> by the
> > > > >> classpath, does not exist." I tried to add it from
> > another
> > > > >> sip-communicator
> > > > >> package (that I have downloded from source) then I got
> > > the same
> > > > error
> > > > >> message but about the retroweaver-rt which was
> > missing....
> > > > >>
> > > > >> I'm willing to use the sip-communicator to build a
> > > softphone using
> > > > >> only sip
> > > > >> and I have to remove the gui and the msn, jabber parts.
> > My
> > > > softphone
> > > > >> will
> > > > >> work only under linux so I have also to remove the
> > > support for
> > > > mac os
> > > > >> and
> > > > >> windows. But to do all that I have to work with an ide
> > > (in my case
> > > > >> eclipse)
> > > > >> to make it more easier.
> > > > >>
> > > > >> Hope you'll help me.
> > > > >>
> > > > >> Thanks a lot.
> > > > >>
> > > > >
> > > >
> > >
> > ---------------------------------------------------------------------
> > > > > To unsubscribe, e-mail:
> > > > dev-unsubscribe@sip-communicator.dev.java.net
> > > <mailto:dev-unsubscribe@sip-communicator.dev.java.net>
> > > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net
> > > <mailto:dev-unsubscribe@sip-communicator.dev.java.net >>
> > > > > For additional commands, e-mail:
> > > > dev-help@sip-communicator.dev.java.net
> > > <mailto: dev-help@sip-communicator.dev.java.net >
> > > > <mailto: dev-help@sip-communicator.dev.java.net
> > > <mailto: dev-help@sip-communicator.dev.java.net >>
> > > >
> > >
> > ---------------------------------------------------------------------
> > > > To unsubscribe, e-mail:
> > > > dev-unsubscribe@sip-communicator.dev.java.net
> > > <mailto:dev-unsubscribe@sip-communicator.dev.java.net >
> > > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net
> > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net >>
> > > > For additional commands, e-mail:
> > > > dev-help@sip-communicator.dev.java.net
> > > <mailto: dev-help@sip-communicator.dev.java.net>
> > > > <mailto:dev-help@sip-communicator.dev.java.net
> > > <mailto: dev-help@sip-communicator.dev.java.net>>
> > > >
> > >
> > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail:
> > > dev-unsubscribe@sip-communicator.dev.java.net
> > > <mailto: dev-unsubscribe@sip-communicator.dev.java.net >
> > > For additional commands, e-mail:
> > > dev-help@sip-communicator.dev.java.net
> > > <mailto: dev-help@sip-communicator.dev.java.net>
> > >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
> > For additional commands, e-mail: dev-help@sip-communicator.dev.java.net
> >
>